arrangers:
- link: artist/46466
  names:
    en: Ronin Op F
- names:
    en: Vector U
- names:
    en: cooldanch
- link: artist/57831
  names:
    en: Katy Scary
- link: artist/27267
  names:
    en: Klaymore
- link: artist/32814
  names:
    en: NyxTheShield
- names:
    en: boshii
- link: artist/26855
  names:
    en: Lucas Guimaraes
- link: artist/57438
  names:
    en: Bi Score
- names:
    en: VGMJesse
- link: artist/18555
  names:
    en: Ian Martyn
- link: artist/32418
  names:
    en: Ian Cowell
barcode: '198009233366'
catalog: GGM-19
categories:
- Game
category: Game
classification: Arrangement, Vocal
composers: []
covers: []
discs:
- disc_length: '29:59'
  name: Disc 1
  tracks:
  - names:
      English: Ronin Op F - What's On The Kid's Menu?
    track_length: '3:00'
  - names:
      English: Vector U - It's Pizza Time!
    track_length: '2:12'
  - names:
      English: cooldanch - Pepperman Strikes!
    track_length: '2:07'
  - names:
      English: Katy Scary, Klaymore - Pizza Engineer
    track_length: '2:33'
  - names:
      English: NyxTheShield - Cold Spaghetti
    track_length: '3:05'
  - names:
      English: boshii - Oregano Mirage
    track_length: '2:24'
  - names:
      English: Lucas Guimaraes - Secret Hoppin' (Tower Mix)
    track_length: '3:06'
  - names:
      English: Bi Score - Hot Spaghetti
    track_length: '3:00'
  - names:
      English: VGMJeese - Unexpectancy, Pt. 3
    track_length: '4:31'
  - names:
      English: Ian Martyn - Pizza Mayhem ft. Brandon L. Harnish, V-Ron Media, Jisun
        Hughes, and Carrie Wood
    track_length: '4:01'
link: album/130007
lyricists: []
media_format: Digital
meta:
  added_date: 2023-06-02T09:10
  edited_date: 2024-09-14T12:46
  fetched_date: 2024-10-05T11:12
  ttl: 86400
  visitors: 598
name: 'Pizza Time: A Pizza Tower Tribute'
names:
  en: 'Pizza Time: A Pizza Tower Tribute'
  ja: 'Pizza Time: A Pizza Tower Tribute'
  ja-latn: 'Pizza Time: A Pizza Tower Tribute'
notes: 'These ten sizzling covers from the hit indie title "Pizza Tower" will satisfy
  any craving. From hard-hitting metal to breakbeat to electro swing, GameGrooves
  is serving up slices of fun. The only question is do you want one slice or two?

  released June 2, 2023

  Album Art by Emma Häthén

  Album Mastering by James C. Hoffman

  Producer: Allen Brasch

  Mechanical licensing provided by Easy Song Licensing.

  -- Track 1 --

  Ronin Op F: Arranger, Producer, Performer

  -- Track 2 --

  Vector U: Arranger, Producer, Performer

  -- Track 3 --

  cooldanch: Arranger, Producer, Performer

  -- Track 4 --

  Katy Scary: Arranger, Producer, Performer

  Klaymore: Arranger, Producer, Performer

  -- Track 5 --

  NyxTheShield: Arranger, Producer, Performer

  -- Track 6 --

  boshii: Arranger, Producer, Performer

  -- Track 7 --

  Lucas Guimaraes: Arranger, Producer, Performer

  -- Track 8 --

  Bi Score: Arranger, Producer, Performer

  Ian Cowell - Guitars, Synths, mixing, arrangement

  Carrie Wood - Bass

  -- Track 9 --

  VGMJeese: Arranger, Producer, Performer

  -- Track 10 --

  Ian Martyn: Arranger, Producer, Performer

  Brandon L. Harnish: Vocals

  V-Ron Media: Vibraphone, Drums

  Jisun Hughes: Trumpet

  Carrie Wood: Bass Guitar'
organizations:
- &id001
  link: org/3076
  names:
    en: GameGrooves
    ja: GameGrooves
    ja-latn: GameGrooves
  role: publisher
performers:
- link: artist/46466
  names:
    en: Ronin Op F
- names:
    en: Vector U
- names:
    en: cooldanch
- link: artist/57831
  names:
    en: Katy Scary
- link: artist/27267
  names:
    en: Klaymore
- link: artist/32814
  names:
    en: NyxTheShield
- names:
    en: boshii
- link: artist/26855
  names:
    en: Lucas Guimaraes
- names:
    en: VGMJesse
- link: artist/18555
  names:
    en: Ian Martyn
picture_full: https://media.vgm.io/albums/70/130007/130007-6a9ba6530d22.jpg
picture_small: https://medium-media.vgm.io/albums/70/130007/130007-6a9ba6530d22.jpg
picture_thumb: https://thumb-media.vgm.io/albums/70/130007/130007-6a9ba6530d22.jpg
platforms:
- PC
products:
- link: product/16462
  names:
    en: Pizza Tower
    ja: Pizza Tower
    ja-latn: Pizza Tower
publish_format: Commercial
publisher: *id001
related:
- catalog: N/A
  link: album/95709
  names:
    en: Pizza Tower (Early OST)
    ja: Pizza Tower (Early OST)
    ja-latn: Pizza Tower (Early OST)
  type: game
- catalog: N/A
  link: album/105701
  names:
    en: Pizza Tower OST REHEATED
    ja: Pizza Tower OST REHEATED
    ja-latn: Pizza Tower OST REHEATED
  type: doujin
- catalog: N/A
  link: album/95711
  names:
    en: snicks album
    ja: snicks album
    ja-latn: snicks album
  type: game
- catalog: N/A
  link: album/126347
  names:
    en: Pizza Tower Soundtrack
    ja: Pizza Tower Soundtrack
    ja-latn: Pizza Tower Soundtrack
  type: game
- catalog: MCOL-0443
  link: album/132712
  names:
    en: 'Music Box Classics: Pizza Tower'
    ja: 'Music Box Classics: Pizza Tower'
    ja-latn: 'Music Box Classics: Pizza Tower'
  type: game
- catalog: FIRE-0039
  link: album/133275
  names:
    en: Cold Spaghetti VIP (from "Pizza Tower")
    ja: Cold Spaghetti VIP (from "Pizza Tower")
    ja-latn: Cold Spaghetti VIP (from "Pizza Tower")
  type: game
- catalog: N/A
  link: album/133273
  names:
    en: Pizza Supreme
    ja: Pizza Supreme
    ja-latn: Pizza Supreme
  type: game
- catalog: N/A
  link: album/133277
  names:
    en: Pizza Tower Fan
    ja: Pizza Tower Fan
    ja-latn: Pizza Tower Fan
  type: doujin
- catalog: MCOL-0435-V
  link: album/135529
  names:
    en: PIZZA TOWER ORIGINAL GAME SOUNDTRACK
    ja: PIZZA TOWER ORIGINAL GAME SOUNDTRACK
    ja-latn: PIZZA TOWER ORIGINAL GAME SOUNDTRACK
  type: game
- catalog: MCOL-0536
  link: album/142275
  names:
    en: Pizza Tower Soundtrack Bonus Tracks
    ja: Pizza Tower Soundtrack Bonus Tracks
    ja-latn: Pizza Tower Soundtrack Bonus Tracks
  type: game
release_date: '2023-06-02'
release_events: []
release_price:
  currency: USD
  price: 8.0
reprints: []
stores:
- link: http://music.amazon.com/albums/B0C6BBCX1G
  name: Amazon Music
- link: http://gamegrooves.bandcamp.com/album/pizza-time-a-pizza-tower-tribute
  name: Bandcamp
- link: http://www.deezer.com/us/album/445988485
  name: Deezer
- link: http://music.apple.com/us/album/1689611763
  name: iTunes
- link: http://web.napster.com/album/alb.775804850
  name: Napster
- link: http://www.pandora.com/artist/gamegrooves/pizza-time-a-pizza-tower-tribute/ALnbd3p6t37z6rK
  name: Pandora
- link: http://open.qobuz.com/album/k624iib7fihla
  name: Qobuz
- link: http://open.spotify.com/album/4q4TmDXwAkSdVOIn2wWfWN
  name: Spotify
- link: http://listen.tidal.com/album/296803661
  name: TIDAL
- link: http://music.youtube.com/playlist?list=OLAK5uy_k96eq9mzkwGqOWe_-Ueoru51ko6UmYecc
  name: YouTube Music
vgmdb_link: https://vgmdb.net/album/130007?perpage=99999
vocals:
- link: artist/44906
  names:
    en: Brandon L. Harnish
votes: 0
